VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::inventory::Datastore Interface Reference

The `Datastore` interface provides methods to retrieve information about datastores. More...

Inherited by vmware::vcenter::inventory::DatastoreStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.inventory.DatastoreTypes.Info > | Find (global::System.Collections.Generic.List< string > datastores)
| Returns datastore information for the specified datastores.
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.inventory.DatastoreTypes.Info > | Find (global::System.Collections.Generic.List< string > datastores, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns datastore information for the specified datastores.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.Dictionary < string, vmware.vcenter.inventory.DatastoreTypes.Info > > | FindAsync (global::System.Collections.Generic.List< string > datastores)
| Returns datastore information for the specified datastores.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.Dictionary < string, vmware.vcenter.inventory.DatastoreTypes.Info > > | FindAsync (global::System.Collections.Generic.List< string > datastores, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns datastore information for the specified datastores.

## Detailed Description

The `Datastore` interface provides methods to retrieve information about datastores.

## Member Function Documentation

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.inventory.DatastoreTypes.Info> vmware::vcenter::inventory::Datastore::Find | ( | global::System.Collections.Generic.List< string > | datastores | ) |

Returns datastore information for the specified datastores.

The key in the result map is the datastore identifier and the value in the map is the datastore information.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no datastore can be found for one or more of the datastore identifiers in datastores
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `Datastore` referenced by the parameter datastores requires `System.Read` .

Parameters:

  datastores | Identifiers of the datastores for which information will be returned. The parameter must contain identifiers for the resource type: `Datastore` .

Returns:
  Datastore information for the specified datastores. The key in the result map is the datastore identifier and the value in the map is the datastore information. The key in the result map will be an identifier for the resource type: `Datastore` .

Implemented in vmware::vcenter::inventory::DatastoreStub.

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.inventory.DatastoreTypes.Info> vmware::vcenter::inventory::Datastore::Find | ( | global::System.Collections.Generic.List< string > | datastores,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns datastore information for the specified datastores.

The key in the result map is the datastore identifier and the value in the map is the datastore information.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no datastore can be found for one or more of the datastore identifiers in datastores
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `Datastore` referenced by the parameter datastores requires `System.Read` .

Parameters:

  datastores | Identifiers of the datastores for which information will be returned. The parameter must contain identifiers for the resource type: `Datastore` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Datastore information for the specified datastores. The key in the result map is the datastore identifier and the value in the map is the datastore information. The key in the result map will be an identifier for the resource type: `Datastore` .

Implemented in vmware::vcenter::inventory::DatastoreStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.Dictionary<string, vmware.vcenter.inventory.DatastoreTypes.Info> > vmware::vcenter::inventory::Datastore::FindAsync | ( | global::System.Collections.Generic.List< string > | datastores | ) |

Returns datastore information for the specified datastores.

The key in the result map is the datastore identifier and the value in the map is the datastore information.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no datastore can be found for one or more of the datastore identifiers in datastores
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `Datastore` referenced by the parameter datastores requires `System.Read` .

Parameters:

  datastores | Identifiers of the datastores for which information will be returned. The parameter must contain identifiers for the resource type: `Datastore` .

Returns:
  Datastore information for the specified datastores. The key in the result map is the datastore identifier and the value in the map is the datastore information. The key in the result map will be an identifier for the resource type: `Datastore` .

Implemented in vmware::vcenter::inventory::DatastoreStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.Dictionary<string, vmware.vcenter.inventory.DatastoreTypes.Info> > vmware::vcenter::inventory::Datastore::FindAsync | ( | global::System.Collections.Generic.List< string > | datastores,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns datastore information for the specified datastores.

The key in the result map is the datastore identifier and the value in the map is the datastore information.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no datastore can be found for one or more of the datastore identifiers in datastores
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `Datastore` referenced by the parameter datastores requires `System.Read` .

Parameters:

  datastores | Identifiers of the datastores for which information will be returned. The parameter must contain identifiers for the resource type: `Datastore` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Datastore information for the specified datastores. The key in the result map is the datastore identifier and the value in the map is the datastore information. The key in the result map will be an identifier for the resource type: `Datastore` .

Implemented in vmware::vcenter::inventory::DatastoreStub.

The documentation for this interface was generated from the following file:

- inventory/Datastore.cs